---
category: logs
title: "LoRa und LoRaWAN"
date: 2019-12-02
layout: dated
tags: workshop
---
Der Long Range low-power Funkstandard ermöglicht den Aufbau weitreichweitiger
(km) Funknetzwerke bei niedrigem Stromverbrauch. Damit lassen sich z.B.
batteriebetriebene Sensornetze realisieren.
Im Workshop wurden zunächst die technischen Hintergründe hinter dem LoRa Prototoll erklärt. Danach konnten die Teilnehmer erste praktische Erfahrungen mit LoRa sammeln, indem sie sich gegenseitig Nachrichten zuschickten. Dafür wurde TTGO LoRa Module verwendet, die dank MicroPython einfach zu programmieren sind.

![LoRa Signal](/assets/images/lora-signal.png)
![LoRa Symbol](/assets/images/lora-symbol.png)
![TTGO Module](/assets/images/ttgo-module.jpg)

Im zweiten Teil des Workshops ging es um LoRaWAN und TheThingsNetwork. Dabei handelt es sich um ein Netzwerk, das auf dem LoRa Protokoll aufbaut um z.B. Internet of Things (IoT) Anwendungen zu realisieren. Endgeräte senden dabei Nachrichten an sogenannte Gateways, die diese an den gewünschten Anwendungsserver weiterleiten. Im Workshop lernten die Teilnehmer Ihre LoRa Module so zu programmieren, dass sie damit Daten direkt in die Cloud senden können.


