---
title: "Workshop: Robotik mit MicroPython"
layout: default
---

Am 01.11.2021 gibt es einen kleinen Workshop zur Programmierung von Robotern mit [MicroPython](https://micropython.org/). Simon zeigt, wie man die Espressif Microkontroller (ESP32/ESP8266) mit Hilfe von Python zur Steuerung von kleinen zweirädrigen Robotern nutzen kann.
![Robot](/assets/images/robot.jpg "Robot")

Der Workshop richtet sich an Einsteiger. Es ist kein Hintergrundwissen über Elektronik oder Python erforderlich.
Es wäre schön, wenn Ihr ein Micro-USB Kabel mitbringt und im Vorfeld die [Thonny-Entwicklungsumgebung](https://thonny.org/) installiert.

Der Vortrag findet am Montag, 01. November 2021, im Hackspace statt. Beginn ist um 19:30 Uhr.
![MicroPython](/assets/images/micropython.png "MicroPython")

